---
- name: Info OS
  hosts: all
  gather_facts: true

  tasks:

    - name: OS version
      debug:
        msg: "The operating system is {{ ansible_facts['distribution'] }} version {{ ansible_facts['distribution_version'] }}"

    - name: Display specific fact - IP addresses
      debug:
        msg: "The IP addresses are: {{ ansible_facts['all_ipv4_addresses'] }}"
